# Asterisk Project : Asterisk 13 ManagerEvent_AOC-D

Created by wikibot on Aug 08, 2014

# AOC-D

### Synopsis

Raised when an Advice of Charge message is sent during a call.

### Description

### Syntax

    Event: AOC-D
    Channel: <value>
    ChannelState: <value>
    ChannelStateDesc: <value>
    CallerIDNum: <value>
    CallerIDName: <value>
    ConnectedLineNum: <value>
    ConnectedLineName: <value>
    AccountCode: <value>
    Context: <value>
    Exten: <value>
    Priority: <value>
    Uniqueid: <value>
    Charge: <value>
    Type: <value>
    BillingID: <value>
    TotalType: <value>
    Currency: <value>
    Name: <value>
    Cost: <value>
    Multiplier: <value>
    Units: <value>
    NumberOf: <value>
    TypeOf: <value>

##### Arguments

- `Channel`
- `ChannelState` - A numeric code for the channel's current state, related to ChannelStateDesc
- `ChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `CallerIDNum`
- `CallerIDName`
- `ConnectedLineNum`
- `ConnectedLineName`
- `AccountCode`
- `Context`
- `Exten`
- `Priority`
- `Uniqueid`
- `Charge`
- `Type`
  - `NotAvailable`
  - `Free`
  - `Currency`
  - `Units`
- `BillingID`
  - `Normal`
  - `Reverse`
  - `CreditCard`
  - `CallForwardingUnconditional`
  - `CallForwardingBusy`
  - `CallForwardingNoReply`
  - `CallDeflection`
  - `CallTransfer`
  - `NotAvailable`
- `TotalType`
  - `SubTotal`
  - `Total`
- `Currency`
- `Name`
- `Cost`
- `Multiplier`
  - `1/1000`
  - `1/100`
  - `1/10`
  - `1`
  - `10`
  - `100`
  - `1000`
- `Units`
- `NumberOf`
- `TypeOf`

### Class

AOC

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538